# Functions

## Methods to be implemented

setParameters(Collection)
execute(prevResult,currentSampler) Note that either or both of the parameters may be null.

## Calling sequence

When the test plan is prepared for running, one instance of the class is created for each occurrence of a function call. The setParameters() method is then called on each instance. Once the test is running, the execute method can be called by any thread, and is therefore synchronized. This is unlike most of (all?) the JMeter test elements, which are created for each thread. Any context that needs to be maintained for a thread must be done using ThreadLocal or similar.